<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('Kecamatan', function (Blueprint $table) {
            $table->id('KecamatanId');
            $table->unsignedBigInteger('KabupatenId');
            $table->foreign('KabupatenId')->references('KabupatenId')->on('Kabupaten')->onDelete('cascade');
            $table->string('NamaKecamatan');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('Kecamatan');
    }
};
